.IFNDEF CALIBRATION_CFG
.EQU CALIBRATION_CFG=1

;The calibration process needs a reference clock at any pin. You must specify
;this pin here and your code must NOT configure it as an output. 

.EQU CAL_INPUTREG = PINA
.EQU CAL_INPUTBIT = PORTA0

;Some devices owns more than one calibrateable oscillator and therefore more than
;one OSCCAL register. You have to provide the name of the OSCCAL register you
;actually intend to calibrate here.

.EQU CAL_OSCCALREG = OSCCAL
 
;Your reference clock must be less than a tenth of your system clock and the
;system clock should be an integer multiple of the reference clock.

.EQU CAL_REFCLK = 1000

;The closer the default OSCCAL value is to the calibrated, the faster the
;calibration is done. To find a good default, refer the data sheet
;(relation OSCCAL value vs. RC oscillator clock).

.EQU CAL_DEFOSCCAL = 76

;The calibration code provides helper routines to save and load the calibration
;value to/from EEPROM. If you want to use them, you must provide the EEPROM
;address to use. The storage requires to bytes, beginning at given address.
;If you dont need the helper routines, simply comment out this declaration.

.EQU CAL_EEPADDR = E2END - 1

.ENDIF
